@import '../node_modules/bootstrap/dist/css/bootstrap.min.css';

:root {
  --ktz: #C81B37;
}

body {
  overflow-x: auto;
}

header {
  display: flex;
  align-items: center;
  width: 100%;
  height: 56px;
  background: #fff;
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.35);

  .navbar-section {
    a {
      color: var(--ktz);
    }

    a.navbar-brand {
      margin-right: 2em;
      font-size: 20px;
      font-weight: 700;
      line-height: 23px;
    }

    .nav-links-anchors {
      width: 20%;
      a {
        color: #C81B37;
        font-size: 16px;
        line-height: 19px;
      }
    }

    .user-nav {
      #loggedin-avatar {
        width: 32px;
        height: 32px;
        border-radius: 100px;
      }

      #notsigned-avatar {
        width: 16px;
        height: 16px;
      }
    }
  }
}

.is-visible {
  display: block !important;
  animation-duration: 300ms;
  animation-fill-mode: both;
  animation-name: slideInLeft;
}

#e-signFacebook {
  background: #4267b2;
  color: #fff;

  &:hover {
    background: #375797;
  }
}

#e-signLinkedIn {
  background: #0077B5;
  color: #fff;

  &:hover {
    background: #005685;
  }
}

nav.navigation {
  display: none;
  background: #fff;
  max-width: 280px;
  box-shadow: 0 0 10px #bfbfbf;
  top: 56px;
  height: 100vh;
  position: fixed;
  z-index: 99999;

  .list-group-item {
    display: flex;
    align-items: center;

    &:hover {
      background: #fafafa;
    }

    .nav-icon {
      width: 20px;
      height: 20px;
      margin-right: .75em;
    }
  }
}

form {
  padding: 1em;
}

footer {
  .row {
    height: 70px;

    .footer-brand {
      img {
        width: 40px;
        height: 40px;
      }
    }

    .footer-legal {
      a {
        margin: 0 .25em;

        img {
          width: 40px;
          height: 40px;
        }
      }
    }
  }
}

/* Regular CSS */

.center {
  margin: 0 auto;
}

.center-vertical {
  display: flex;
  align-items: center;
}

/* Home */

.home {
  .main-hero {
    display: flex;
    align-items: center;
    height: 100vh;

    .hero {

      h1 {
        color: var(--ktz);
        font-size: 2.6em;
      }

      p {
        font-size: 1.5em;

        @media (max-width: 500px) {
          font-size: 1em;
        }
      }

      .hero-control {
        div {
          display: flex;
          justify-content: space-evenly;
        }
      }
    }
  }

  /* .main-divider {
    height: 1px;
    width: 207px;
    background-color: #2F2F2F;
  } */

  .main-charts {
    margin: 1em 0;

    h2 {
      color: var(--ktz);
      font-size: 24px;
      font-weight: 500;
    }

    .main-charts-pie,
    .main-charts-bar {
      margin: .75em 0;
    }
  }

  .main-events {
    margin: 1em 0;

    h2 {
      color: var(--ktz);
      font-size: 24px;
      font-weight: 500;
    }
  }
}

.chart-border {
  border: 1px solid #bfbfbf;
  border-radius: .5em;
  padding: .5em;
  width: 100%;
  min-height: 330px;
  flex-direction: column;

  span {
    font-size: 36px;
    font-weight: 500;
  }
}

/* Sign in / Register */

.main-not-found {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  height: 100vh;
}

.main-signIn,
.main-register,
.main-map,
.main-barometar,
.main-not-found {
  padding: 70px 0;
  display: flex;
  align-items: center;
  min-height: 100vh;
}

.main-profil {
  margin-top: 56px;
  /* z-index: 9999; */
  position: relative;
  .profile-nav {
    background: var(--ktz);
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.35);

    ul {
      padding: 0;
      margin: 0;
      width: 45%;
      height: 56px;
      list-style: none;

      a {
        color: #fff;
        height: calc(100% + 1px);
      }
    }
    .active {
      display: inline-block;
      height: calc(100% + 1px);
      border-bottom: 2px solid #ffffff;
      padding: 15px 10px 0;
      font-weight: bold;
    }
  }
}

.main-signIn {
  .login-form {
    ul {
      padding: 0;
      list-style: none;
      line-height: 2em;

      li {
        a {
          color: var(--ktz);
          text-decoration: underline;
        }
      }
    }
  }
}

/* Profil */

.profil {
  margin: 2em 0;

  @media (max-width: 500px) {
    flex-direction: column;
    height: auto;
  }

  .profil-hero {
    margin: 1em 0;
  }

  .profil-image {
    img {
      width: 370px;

      @media (max-width: 500px) {
        width: 200px;
      }
    }
  }

  .profil-data {
    .profil-data-legend {
      display: block;
      margin: .5em 0;
      font-size: 1.1em;
    }

    span {
      &:not(.profil-data-legend) {
        font-size: 1.3em;
      }
    }

    ul {
      margin-left: 0;

      p {
        opacity: .8;
      }
    }
  }

  .profil-delete {
    margin: 1em 0;
  }
}

.login-logo img {
  height: 80px;
  width: 100%;
  margin: 1em auto;
}

.dashboard-legend {
  padding: .5em 0;
}

.dashboard-data {
  padding: .5em 0;

  &:nth-child(odd) {
    background: #fafafa;
  }

  img {
    width: 50px;
  }
}

::selection {
  background: var(--ktz);
  color: #fff;
}

/* Analyze data */

.analyze {
  margin: 2em 0;

  h2 {
    margin: .5em 0;
  }

  .analyze-sum {
    display: flex;
    flex-direction: row;

    #analyze-sum-num {
      font-weight: 700;
    }
  }

  .analyze-chart {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;

    #analyze-data-gender,
    #analyze-data-city {
      width: 600px;
      height: 400px;
    }
  }
}

/* Reset password */
.reset {
  .reset-heading {
    margin: 2em 0;
  }
}

@media (min-width: 1900px) {
  body {
    font-size: 1.2em;
  }
}

/* Bootstrap overrides */

.btn-danger {
  background: var(--ktz) !important;
  border-color: var(--ktz) !important;
}

.btn-danger:hover {
  background: #aa1730 !important;
  border-color: #aa1730 !important;
}

.form-control:focus {
  border-color: #aa1730;
  box-shadow: 0 0 0 0.2rem rgba(170, 23, 48, 0.22);
}

.custom-file-label::after {
  content: '' !important;
  background-color: transparent;
  border-left: none;
}

.custom-file-label {
  text-align: center;
  border: 1px solid #C81B37;
  width: 164px;
  height: 32px;
  font-size: 16px;
  color: #C81B37;
  margin: 0 auto;
  padding-top: 4px;
}

input[type="file"] {
  cursor: pointer;
}

.dropdown-menu.show {
  width: 100%;
}

.invalid-feedback {
  display: block !important;
}

.modal-body {
  p {
    font-size: 1.2em;
    margin-bottom: 0 !important;
  }
}

/* Hamburger */

.hamburger {
  display: flex;
  cursor: pointer;
  transition-property: opacity, filter;
  transition-duration: 0.15s;
  transition-timing-function: linear;
  font: inherit;
  color: inherit;
  text-transform: none;
  background-color: transparent;
  border: 0;
  margin: 0;
  overflow: visible;
  outline: 0 !important;
}

.hamburger:hover {
  opacity: 0.7;
}

.hamburger.is-active:hover {
  opacity: 0.7;
}

.hamburger.is-active .hamburger-inner,
.hamburger.is-active .hamburger-inner::before,
.hamburger.is-active .hamburger-inner::after {
  background-color: #fff;
}

.hamburger-box {
  width: 30px;
  height: 24px;
  display: inline-block;
  position: relative;
}

.hamburger-inner {
  display: block;
  top: 50%;
  margin-top: -2px;
}

.hamburger-inner,
.hamburger-inner::before,
.hamburger-inner::after {
  width: 30px;
  height: 4px;
  background-color: #fff;
  border-radius: 4px;
  position: absolute;
  transition-property: transform;
  transition-duration: 0.15s;
  transition-timing-function: ease;
}

.hamburger-inner::before,
.hamburger-inner::after {
  content: "";
  display: block;
}

.hamburger-inner::before {
  top: -10px;
}

.hamburger-inner::after {
  bottom: -10px;
}

/* Slider */
.hamburger--slider .hamburger-inner {
  top: 2px;
}

.hamburger--slider .hamburger-inner::before {
  top: 10px;
  transition-property: transform, opacity;
  transition-timing-function: ease;
  transition-duration: 0.15s;
}

.hamburger--slider .hamburger-inner::after {
  top: 20px;
}

.hamburger--slider.is-active .hamburger-inner {
  transform: translate3d(0, 10px, 0) rotate(45deg);
}

.hamburger--slider.is-active .hamburger-inner::before {
  transform: rotate(-45deg) translate3d(-5.71429px, -6px, 0);
  opacity: 0;
}

.hamburger--slider.is-active .hamburger-inner::after {
  transform: translate3d(0, -20px, 0) rotate(-90deg);
}

/* Animate.css */

@keyframes slideInLeft {
  from {
    -webkit-transform: translate3d(-100%, 0, 0);
    transform: translate3d(-100%, 0, 0);
    visibility: visible;
  }

  to {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
  }
}

::selection {
  background: #C81B37;
  color: #fff;
}

/* Igor */

.tt-menu {
  width: 422px;
  margin: 12px 0;
  padding: 8px;
  background-color: #fff;
  border: 1px solid #ccc;
  border: 1px solid rgba(0, 0, 0, 0.2);
  -webkit-border-radius: 8px;
  -moz-border-radius: 8px;
  border-radius: 8px;
  -webkit-box-shadow: 0 5px 10px rgba(0, 0, 0, .2);
  -moz-box-shadow: 0 5px 10px rgba(0, 0, 0, .2);
  box-shadow: 0 5px 10px rgba(0, 0, 0, .2);
  text-align: left;
}

.tt-suggestion {
  padding: 3px 20px;
  font-size: 18px;
  line-height: 24px;
}

.twitter-typeahead {
  width: 100%;
}

.form-control:disabled {
  background-color: #e9ecef !important;
}

.detailed-graphs,
.home {
  width: 100%;
  height: calc(100vh - 126px);
  display: grid;
  grid-template-rows: 1fr;
  grid-template-columns: 3fr 7fr;
  margin-top: 50px;
}

.detailed-graphs aside,
.home aside {
  padding: 16px 20px;
  border-right: 1px solid #DEDEDE;
}

.home aside {
  padding-left: 5px;
}

.detailed-graphs main {
  padding: 50px;
}

.menu-details[open] div.menu-item {
  animation-name: fadeInDown;
  animation-duration: 400ms;
}

.menu-details[open] .arrow svg {
  transform: rotate(90deg);
}

.menu-text-summ {
  outline: none;
  transition: all 200ms linear;
  display: grid;
  grid-template-rows: 1fr;
  grid-template-columns: 10fr minmax(auto, 1fr);
  align-items: center;
  font-weight: 500;
  height: 36px;
  border-left: 2px solid transparent;
  padding-left: 10px;
}

.menu-text-summ:hover,
.menu-text:hover {
  background-color: #EFEFEF;
  border-color: var(--ktz);
  color: var(--ktz);
}

.menu-text-summ:hover svg {
  fill: var(--ktz);
}

.menu-text-summ p {
  margin: 0;
  color: #1F2532;
  font-size: 16px;
}

.menu-details[open] .menu-text-summ p,
.menu-text.active {
  color: var(--ktz);
  font-weight: bold;
}

.menu-details[open] .menu-text-summ svg {
  fill: var(--ktz);
}

.menu-text-summ::-webkit-details-marker {
  display: none;
}

.menu-text {
  color: #1F2532;
  font-size: 16px;
  height: 36px;
  padding-left: 35px;
  margin: 0;
  display: flex;
  align-items: center;
  cursor: pointer;
  border-left: 2px solid transparent;
  transition: all 200ms linear;
}

.menu-text--small-padding {
  padding-left: 10px;
}

.menu-text-summ .arrow svg {
  transition: all 100ms linear;
  /* fill: #535C6D; */
}

@keyframes fadeInDown {
  0% {
    opacity: 0;
    transform: translateY(-1.25em);
  }

  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

/* @media screen and (min-width: 1025px) {
    display: grid;
    height: 100%;
    grid-template-rows: 1fr 2fr 1fr;
    grid-template-columns: 100%;
    .menu-separator {
      display: none;
    }
    .menu-settings {
      border-top: 1px solid #E6ECF1;
    }
    .menu-item {
      border-radius: 5px;
    }
    .menu-item.active {
      background-color: #CFF1DB;
      .menu-text {
        color: #0F9D58;
      }
    }
  } */

.home .header-aside,
.home .header-main {
  height: 56px;
  border-bottom: 1px solid #DADADA;
  margin-top: -10px;
  margin-left: -3px;
  margin-right: -20px;
  padding-left: 24px;
}

.home .header-main {
  margin-left: 0;
  margin-right: 0;
}

.home .header-aside p,
.home .header-main p {
  display: inline-block;
  height: calc(100% + 1px);
  border-bottom: 2px solid var(--ktz);
  padding: 13px 10px 0;
  font-weight: bold;
  color: var(--ktz);
}

.home-form {
  padding-top: 36px;
  padding-left: 15px;
}

.home main {
  padding: 16px 0;
}

.home-graphs {
  padding: 50px;
}

.profile-image {
  width: 32px;
  height: 32px;
  border-radius: 50%;
  margin-right: 10px;
}

.edit-profile-input {
  display: none;
}

.change-profile-image-label {
  cursor: pointer;
  color: var(--ktz);
  vertical-align: text-top;
}

.change-profile-image-label:hover {
  text-decoration: underline;
}

.profile-bubble {
  position: absolute;
  color: #fff;
  background-color: #1F2532;
  border-radius: 6px;
  right: 11px;
  top: 56px;
  display: none;
}

.profile-bubble.open {
  display: block;
}

.profile-bubble:after {
	bottom: 100%;
	right: 10px;
	border: solid transparent;
	content: " ";
	height: 0;
	width: 0;
	position: absolute;
	pointer-events: none;
	border-color: rgba(31, 37, 50, 0);
	border-bottom-color: #1F2532;
	border-width: 10px;
  margin-left: -10px;
}

.profile-bubble ul {
  padding: 24px 16px;
  margin: 0;
}

.profile-bubble li {
  list-style-type: none;
}

.profile-bubble li:first-child {
  margin-bottom: 24px;
}

.profile-bubble li a {
  color: #fff;
  text-decoration: none;
}

.bubble-icon {
  width: 16px;
  height: 16px;
  fill: #fff;
  color: #fff;
  margin-right: 10px;
}

.download-icon {
  height: 100%;
  padding-top: 10px;
  img {
    height: 50%;
  }
}

.about-page {
  padding-top: 70px;  
  img {
    max-width: 100%;
    max-height: 100%;
  }
  .row div {
    height: 200px;
  }
}

.fixed-height {
  height: 100px;
}

.home-form .tt-dropdown-menu {
  max-height: 150px;
  overflow-y: auto;
}
